> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Read one project evidence export



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/{projectId}/evidence-exports/{evidenceExportId}
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
tags:
  - name: authentication
    description: Sessions, CLI exchange, credentials, and verification keys.
    x-group: Authentication
  - name: organizations
    description: Organization members, billing, usage, retention, audit, and exports.
    x-group: Organizations
  - name: projects
    description: Project lifecycle, access, grants, and repository bindings.
    x-group: Projects
  - name: builds
    description: Immutable builds, uploads, source drafts, and world definitions.
    x-group: Builds and source
  - name: tools
    description: Project Tool discovery, approval, source, and revocation.
    x-group: Tool library
  - name: worlds
    description: >-
      Managed environments, world sessions, state, time, reset, faults, forks,
      and snapshots.
    x-group: Environments and sessions
  - name: runs
    description: >-
      Hosted runs, comparisons, attachments, reports, evidence bundles, sharing,
      and exports.
    x-group: Runs and evidence
  - name: browser
    description: Managed browser tests, runs, messages, streams, frames, and artifacts.
    x-group: Browser testing
  - name: callbacks
    description: Callback receiver approval, revocation, and signing material.
    x-group: Callbacks
  - name: github-ci
    description: >-
      GitHub installations, repository automation, CI suites, cases, evidence,
      and checks.
    x-group: GitHub and CI
  - name: authoring
    description: Authoring sessions, proposals, turns, and scenario proposals.
    x-group: Cloud authoring
paths:
  /v1/projects/{projectId}/evidence-exports/{evidenceExportId}:
    get:
      tags:
        - runs
      summary: Read one project evidence export
      operationId: evidenceExports.getProject
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            pattern: ^prj_[0-9a-z]{12,32}$
        - name: evidenceExportId
          in: path
          required: true
          schema:
            type: string
            pattern: ^evexp_[0-9a-z]{12,32}$
      responses:
        '200':
          description: Evidence export
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvidenceExportView'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    EvidenceExportView:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        evidenceExportId:
          type: string
          pattern: ^evexp_[0-9a-z]{12,32}$
        organizationId:
          type: string
          pattern: ^org_[0-9a-z]{12,32}$
        scope:
          oneOf:
            - type: object
              properties:
                kind:
                  type: string
                  enum:
                    - organization
              required:
                - kind
              additionalProperties: false
            - type: object
              properties:
                kind:
                  type: string
                  enum:
                    - project
                projectId:
                  type: string
                  pattern: ^prj_[0-9a-z]{12,32}$
              required:
                - kind
                - projectId
              additionalProperties: false
        operationId:
          type: string
          pattern: ^op_[0-9a-z]{12,32}$
        state:
          type: string
          enum:
            - pending
            - generating
            - available
            - failed
        requestedBy:
          type: string
          minLength: 1
          maxLength: 255
        fromAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        throughAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        selectionDigest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        bundleCount:
          type: integer
          minimum: 0
          maximum: 10000
        completedBundleCount:
          type: integer
          minimum: 0
          maximum: 10000
        localReportCount:
          type: integer
          minimum: 0
          exclusiveMinimum: true
          maximum: 10000
        completedLocalReportCount:
          type: integer
          minimum: 0
          maximum: 10000
        sourceBytes:
          type: string
          pattern: ^(0|[1-9][0-9]{0,37})$
        archiveBytes:
          type: string
          pattern: ^(0|[1-9][0-9]{0,37})$
        manifestDigest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        manifestBytes:
          type: string
          pattern: ^(0|[1-9][0-9]{0,37})$
        failureCode:
          type: string
          pattern: ^control\.[A-Z][A-Z0-9_]{2,79}$
        createdAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        updatedAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        completedAtMs:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        deletion:
          oneOf:
            - type: object
              properties:
                state:
                  type: string
                  enum:
                    - pending
                version:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                operationId:
                  type: string
                  pattern: ^op_[0-9a-z]{12,32}$
                requestedAtMs:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - state
                - version
                - operationId
                - requestedAtMs
              additionalProperties: false
            - type: object
              properties:
                state:
                  type: string
                  enum:
                    - deleted
                version:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                operationId:
                  type: string
                  pattern: ^op_[0-9a-z]{12,32}$
                requestedAtMs:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                deletedAtMs:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
              required:
                - state
                - version
                - operationId
                - requestedAtMs
                - deletedAtMs
              additionalProperties: false
            - type: object
              properties:
                state:
                  type: string
                  enum:
                    - failed
                version:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                operationId:
                  type: string
                  pattern: ^op_[0-9a-z]{12,32}$
                requestedAtMs:
                  type: integer
                  minimum: -9007199254740991
                  maximum: 9007199254740991
                failureCode:
                  type: string
                  pattern: ^control\.[A-Z][A-Z0-9_]{2,79}$
              required:
                - state
                - version
                - operationId
                - requestedAtMs
                - failureCode
              additionalProperties: false
      required:
        - schemaVersion
        - evidenceExportId
        - organizationId
        - scope
        - operationId
        - state
        - requestedBy
        - fromAtMs
        - throughAtMs
        - selectionDigest
        - bundleCount
        - completedBundleCount
        - sourceBytes
        - archiveBytes
        - createdAtMs
        - updatedAtMs
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````